#include <stdio.h>
#include <stdlib.h>
#include "encabezados.h"



extern NODO * ultimo_nodo(NODO * );
extern NODO **tabla_hash;
extern int contador;

/* funcion para duplicar la tabla */
NODO **duplicar_tabla(int tamano) {

  NODO **tabla;
  int i;
  if((tabla = (NODO **)malloc(tamano*sizeof(NODO *)))==NULL) {
    printf("\n Error de memoria al duplicar la tabla ...\n");exit(0);
  }
  for(i=0;i<tamano;i++) tabla[i]=NULL; //inicializa la tabla con valor NULL
  return tabla;
}

/* funcion que recorre la tabla y crea una unica lista con todos los nodos */
NODO * recorrer_tabla(NODO ** tabla, int largo) {
  int i=0;
  NODO *aux, *inicio;
  while (tabla[i]==NULL) {
    i++;
  }
  inicio = tabla[i]; //este es el inicio, el primer nodo en la tabla
  aux = ultimo_nodo(inicio);
  for (i++;i<largo;i++) { //encadena los nodos
    if (tabla[i] != NULL ) {
      tabla[i]->anterior = aux;
      aux->siguiente = tabla[i];
      aux = ultimo_nodo(tabla[i]);
    }
  }
  return inicio;
}

